Package org.jboss.resteasy.rxjava2

## Interface SingleRxInvoker

- All Superinterfaces:
    `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`
  All Known Implementing Classes:
    `SingleRxInvokerImpl`

      public interface SingleRxInvoker
      extends javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `delete()` |
    `<T> io.reactivex.Single<T>` | `delete​(Class<T> responseType)` |
    `<T> io.reactivex.Single<T>` | `delete​(javax.ws.rs.core.GenericType<T> responseType)` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `get()` |
    `<T> io.reactivex.Single<T>` | `get​(Class<T> responseType)` |
    `<T> io.reactivex.Single<T>` | `get​(javax.ws.rs.core.GenericType<T> responseType)` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `head()` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `method​(String name)` |
    `<T> io.reactivex.Single<T>` | `method​(String name, Class<T> responseType)` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<T> io.reactivex.Single<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<T> responseType)` |
    `<T> io.reactivex.Single<T>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> responseType)` |
    `<T> io.reactivex.Single<T>` | `method​(String name, javax.ws.rs.core.GenericType<T> responseType)` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `options()` |
    `<T> io.reactivex.Single<T>` | `options​(Class<T> responseType)` |
    `<T> io.reactivex.Single<T>` | `options​(javax.ws.rs.core.GenericType<T> responseType)` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> io.reactivex.Single<T>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> io.reactivex.Single<T>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<T> io.reactivex.Single<T>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<T> clazz)` |
    `<T> io.reactivex.Single<T>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<T> type)` |
    `io.reactivex.Single<javax.ws.rs.core.Response>` | `trace()` |
    `<T> io.reactivex.Single<T>` | `trace​(Class<T> responseType)` |
    `<T> io.reactivex.Single<T>` | `trace​(javax.ws.rs.core.GenericType<T> responseType)` |

- - ### Method Detail

    - #### get

          io.reactivex.Single<javax.ws.rs.core.Response> get()

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### get

          <T> io.reactivex.Single<T> get​(Class<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### get

          <T> io.reactivex.Single<T> get​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### put

          io.reactivex.Single<javax.ws.rs.core.Response> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### put

          <T> io.reactivex.Single<T> put​(javax.ws.rs.client.Entity<?> entity,
                                         Class<T> clazz)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### put

          <T> io.reactivex.Single<T> put​(javax.ws.rs.client.Entity<?> entity,
                                         javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### post

          io.reactivex.Single<javax.ws.rs.core.Response> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### post

          <T> io.reactivex.Single<T> post​(javax.ws.rs.client.Entity<?> entity,
                                          Class<T> clazz)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### post

          <T> io.reactivex.Single<T> post​(javax.ws.rs.client.Entity<?> entity,
                                          javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### delete

          io.reactivex.Single<javax.ws.rs.core.Response> delete()

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### delete

          <T> io.reactivex.Single<T> delete​(Class<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### delete

          <T> io.reactivex.Single<T> delete​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### head

          io.reactivex.Single<javax.ws.rs.core.Response> head()

      Specified by:
        `head` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### options

          io.reactivex.Single<javax.ws.rs.core.Response> options()

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### options

          <T> io.reactivex.Single<T> options​(Class<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### options

          <T> io.reactivex.Single<T> options​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### trace

          io.reactivex.Single<javax.ws.rs.core.Response> trace()

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### trace

          <T> io.reactivex.Single<T> trace​(Class<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### trace

          <T> io.reactivex.Single<T> trace​(javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### method

          io.reactivex.Single<javax.ws.rs.core.Response> method​(String name)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### method

          <T> io.reactivex.Single<T> method​(String name,
                                            Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### method

          <T> io.reactivex.Single<T> method​(String name,
                                            javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### method

          io.reactivex.Single<javax.ws.rs.core.Response> method​(String name,
                                                                javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### method

          <T> io.reactivex.Single<T> method​(String name,
                                            javax.ws.rs.client.Entity<?> entity,
                                            Class<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`

    - #### method

          <T> io.reactivex.Single<T> method​(String name,
                                            javax.ws.rs.client.Entity<?> entity,
                                            javax.ws.rs.core.GenericType<T> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Single<?>>`